%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate rustfft

Name:           rust-rustfft
Version:        6.2.0
Release:    1%{?dist}
Summary:        High-performance FFT library written in pure Rust

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/rustfft
Source0:         %{crates_source}
Patch:          rustfft-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
High-performance FFT library written in pure Rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/UpgradeGuide4to5.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+avx-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+avx-devel %{_description}

This package contains library source intended for building other packages which
use the "avx" feature of the "%{crate}" crate.

%files       -n %{name}+avx-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+neon-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+neon-devel %{_description}

This package contains library source intended for building other packages which
use the "neon" feature of the "%{crate}" crate.

%files       -n %{name}+neon-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+sse-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+sse-devel %{_description}

This package contains library source intended for building other packages which
use the "sse" feature of the "%{crate}" crate.

%files       -n %{name}+sse-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Jun 29 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.2.0-1
- initial build
